Get CSR status
View as MarkdownRetrieves the current status of a Certificate Signing Request (CSR).
Full description
Retrieves the current status of a Certificate Signing Request (CSR). This endpoint allows clients to check if a CSR has been signed, is still pending, or has been rejected. The failureReason field provides additional context when a CSR is rejected.
Path Parameters
agentId*string
Unique identifier of the agent (UUID format)
csrId*string
Unique identifier of the CSR
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents/string/csrs/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"{ "csrId": "3081018b-0577-442d-b092-6e1f08ef6e0d", "failureReason": "string", "status": "PENDING", "submittedAt": "2019-08-24T14:15:22Z", "type": "SERVER", "updatedAt": "2019-08-24T14:15:22Z"}Last updated on
How is this guide?